Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.basefaults
Class BaseFault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.muse.ws.addressing.soap.SoapFault
                  org.apache.muse.ws.resource.basefaults.BaseFault

All Implemented Interfaces:
  java.io.Serializable, XmlSerializable

Direct Known Subclasses:
  AddRefusedFault, ContentCreationFailedFault, InvalidFilterFault, InvalidMessageContentExpressionFault, InvalidMessageFormatFault, InvalidModificationFault, InvalidProducerPropertiesExpressionFault, InvalidQueryExpressionFault, InvalidResourcePropertyQNameFault, InvalidTopicExpressionFault, MetadataValidationFault, MultipleTopicsSpecifiedFault, NoCurrentMessageOnTopicFault, NotifyMessageNotSupportedFault, PauseFailedFault, QueryEvaluationErrorFault, RelationshipCreationFailedFault, ResourceInitializationFault, ResourceNotDestroyedFault, ResourceUnavailableFault, ResourceUnknownFault, ResumeFailedFault, SchemaValidationFault, SerializationErrorFault, SetResourcePropertyRequestFailedFault, SubscribeCreationFailedFault, TerminationTimeChangeRejectedFault, TopicExpressionDialectUnknownFault, TopicNotSupportedFault, UnableToCreatePullPointFault, UnableToGetMessagesFault, UnableToModifyResourcePropertyFault, UnableToPutResourcePropertyDocumentFault, UnableToSetTerminationTimeFault, UnacceptableInitialTerminationTimeFault, UnknownQueryExpressionDialectFault, UnrecognizedPolicyRequestFault, UnsupportedMemberInterfaceFault, UnsupportedPolicyRequestFault

public abstract class BaseFault
extends SoapFault

BaseFault is Muse's default implementation of the WS-BaseFaults BaseFault type. This can be used as a standalone class or (more commonly) as a base class for more concrete fault types. WS-BF XML parsing and serialization is also handled by this class.

Author:
  Dan Jemiolo (danj)
See Also:
  Serialized Form

Constructor Summary
`BaseFault(org.w3c.dom.Element xml)` Creates a new BaseFault by parsing the given XML according to the WS-BF spec.
`BaseFault(QName name, java.lang.String message)`
`BaseFault(QName name, java.lang.String message, java.lang.Throwable cause)`
`BaseFault(QName name, java.lang.Throwable cause)`

Method Summary
`java.lang.String` | `getDescription()`
`org.w3c.dom.Element` | `getDetail()` Creates the WSBF BaseFault XML on-the-fly, for inclusion in a larger SOAPFault XML fragment.
`org.w3c.dom.Element` | `getErrorCode()`
`java.lang.String` | `getErrorCodeDialect()`
`QName` | `getName()`
`EndpointReference` | `getOriginReference()`
`java.util.Date` | `getTimestamp()`
`void` | `setErrorCode(org.w3c.dom.Element errorCode, java.lang.String errorCodeDialect)`
`void` | `setOriginReference(EndpointReference origin)`

Methods inherited from class org.apache.muse.ws.addressing.soap.SoapFault
`getCode, getMessage, getNodeURI, getReason, getRoleURI, getSubCode, setCode, setDetail, setNodeURI, setReason, setRoleURI, setSubCode, toXML, toXML`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseFault

    public BaseFault(org.w3c.dom.Element xml)

  Creates a new BaseFault by parsing the given XML according to the WS-BF spec. This constructor only checks for elements and values defined in WS-BF and does not fail if extensions are added to the fault type.
  The timestamp for this fault is the one specified in the XML, regardless of when this object is created.

Parameters:
  `xml` - The XML representation of a WS-BF BaseFault.

### BaseFault

    public BaseFault(QName name,
                     java.lang.String message)

### BaseFault

    public BaseFault(QName name,
                     java.lang.String message,
                     java.lang.Throwable cause)

### BaseFault

    public BaseFault(QName name,
                     java.lang.Throwable cause)

Method Detail

### getDetail

    public org.w3c.dom.Element getDetail()

  Creates the WSBF BaseFault XML on-the-fly, for inclusion in a larger SOAPFault XML fragment. The wsrf-bf:Description is not included because the same text is found in the SOAPFault's Reason element.

  Overrides:
    `getDetail` in class `SoapFault`

### getDescription

    public java.lang.String getDescription()

### getErrorCode

    public org.w3c.dom.Element getErrorCode()

### getErrorCodeDialect

    public java.lang.String getErrorCodeDialect()

### getName

    public QName getName()

### getOriginReference

    public EndpointReference getOriginReference()

### getTimestamp

    public java.util.Date getTimestamp()

### setErrorCode

    public void setErrorCode(org.w3c.dom.Element errorCode,
                             java.lang.String errorCodeDialect)

### setOriginReference

    public void setOriginReference(EndpointReference origin)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD